package devices

import (
	"github.com/gin-gonic/gin"
	v1 "server/api/v1"
	"server/middleware"
)

type SoundPeriodRouter struct{}

func (s *SoundPeriodRouter) InitSoundPeriodRouter(Router *gin.RouterGroup) {
	soundPeriodRouter := Router.Group("soundPeriod").Use(middleware.OperationRecord())

	soundPeriodApi := v1.ApiGroupApp.DevicesApiGroup.SoundPeriodApi

	{
		soundPeriodRouter.POST("createSoundPeriod", soundPeriodApi.CreateSoundPeriod) // 增加LED
		soundPeriodRouter.PUT("updateSoundPeriod", soundPeriodApi.UpdateSoundPeriod)  // 编辑
	}
	{
	}
}
